{
  "name": "recording-preview",
  "version": "1.13.0",
  "description": "",
  "scripts": {
    "start": "npx env-config -- -module recording-preview -stand local -path \".\\config\\default.json\" -npmScripts server:dev",
    "prettier": "prettier \"./src/**/*.ts\" --write",
    "build": "cross-env TS_NODE_PROJECT=\"./tsconfig.json\" tsc --p ./tsconfig.json",
    "server:dev": "cross-env TS_NODE_PROJECT=\"./tsconfig.json\" && cross-env NODE_ENV=development nodemon --config .nodemondevrc ./src/server/index.ts",
    "test": "jest",
    "lint": "eslint ./src",
    "lint:write": "eslint --debug ./src --fix",
    "preinstall": "node ./dev/check-node-version",
    "config:local": "npx env-config -- -module recording-preview -stand local -path \".\\config\\default.json\""
  },
  "author": "",
  "license": "UNLICENSED",
  "config": {
    "commit-message-validator": {
      "errorMessage": "Commit message cannot match pattern, examples: [EPMSM-243] codestyle (Server): code style issues ",
      "pattern": [
        "^\\[EPMSM-\\d+]\\s(fix|feat|codestyle|ci)\\s[(](Docker|Readme|Build|Server)[)]:\\s+"
      ]
    }
  },
  "devDependencies": {
    "@types/jest": "^26.0.15",
    "@types/jsonwebtoken": "^8.5.0",
    "@types/supertest": "^2.0.10",
    "@typescript-eslint/eslint-plugin": "^4.8.2",
    "@typescript-eslint/parser": "^4.8.2",
    "commit-message-validator": "^0.1.11",
    "concurrently": "^5.0.2",
    "cross-env": "^6.0.3",
    "eslint": "^7.14.0",
    "eslint-config-prettier": "^6.15.0",
    "eslint-plugin-prettier": "^3.1.4",
    "husky": "^4.2.5",
    "jest": "^26.6.0",
    "jest-junit": "^12.0.0",
    "jest-mock-extended": "^1.0.10",
    "jsonwebtoken": "^8.5.1",
    "lint-staged": "^10.2.11",
    "nodemon": "^2.0.1",
    "prettier": "^1.19.1",
    "supertest": "^5.0.0",
    "ts-jest": "^26.4.1",
    "ts-node": "^8.5.4",
    "tsconfig-paths": "^3.9.0",
    "typescript": "^3.9.6"
  },
  "dependencies": {
    "@koa/cors": "3.1.0",
    "@s2m/cloud": "git+ssh://git@gitlab.com:set2meet/utils/cloud.git",
    "@s2m/logger": "git+ssh://git@gitlab.com:set2meet/utils/logger.git",
    "@s2m/recording-db": "git+ssh://git@gitlab.com:set2meet/utils/recording-db.git",
    "@s2m/resource-management": "git+ssh://git@gitlab.com:set2meet/utils/resource-management",
    "@types/dateformat": "^3.0.1",
    "@types/ioredis": "^4.0.6",
    "@types/koa": "^2.11.6",
    "@types/koa-bodyparser": "^4.3.0",
    "@types/koa-cors": "0.0.0",
    "@types/koa-json": "^2.0.18",
    "@types/koa-router": "^7.4.1",
    "@types/koa__cors": "^3.0.1",
    "@types/lodash": "4.14.157",
    "@types/mime-types": "^2.1.0",
    "@types/uuid": "^3.4.6",
    "dateformat": "^3.0.3",
    "env-config": "git+ssh://git@gitlab.com:set2meet/env-config.git",
    "ioredis": "^4.6.2",
    "keycloak-admin": "^1.13.0",
    "koa": "^2.13.0",
    "koa-bodyparser": "^4.3.0",
    "koa-cors": "0.0.16",
    "koa-json": "^2.0.2",
    "koa-jwt": "^4.0.0",
    "koa-router": "^9.1.0",
    "lodash": "^4.17.15",
    "mime-types": "^2.1.27"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged",
      "commit-msg": "commit-message-validator"
    }
  },
  "lint-staged": {
    "*.ts": "eslint --cache --fix",
    "*.{ts,md}": "prettier --write"
  }
}
